"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cli_command_1 = require("@contentstack/cli-command");
const cli_utilities_1 = require("@contentstack/cli-utilities");
class BranchGetCommand extends cli_command_1.Command {
    async run() {
        try {
            let config = cli_utilities_1.configHandler.get(`baseBranch`);
            if (config && Object.keys(config).length > 0) {
                let configList = Object.keys(config).map((key) => ({ ['Stack API Key']: key, ['Branch']: config[key] }));
                cli_utilities_1.cliux.table(configList, {
                    'Stack API Key': {
                        minWidth: 8,
                    },
                    Branch: {
                        minWidth: 8,
                    },
                }, {
                    printLine: cli_utilities_1.cliux.print,
                });
            }
            else {
                cli_utilities_1.cliux.print(`error: ${cli_utilities_1.messageHandler.parse('CLI_CONFIG_BRANCH_LIST_NO_BRANCHES')}`, { color: 'red' });
            }
        }
        catch (error) {
            cli_utilities_1.cliux.error('error', error);
        }
    }
}
exports.default = BranchGetCommand;
BranchGetCommand.description = 'Get current branch set for CLI';
BranchGetCommand.examples = ['$ csdx config:get:base-branch'];
