"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cli_utilities_1 = require("@contentstack/cli-utilities");
const base_command_1 = require("../../../base-command");
class RegionGetCommand extends base_command_1.BaseCommand {
    async run() {
        let currentRegion = this.region;
        if (!currentRegion) {
            this.logger.error('No region set');
            cli_utilities_1.cliux.error('CLI_CONFIG_GET_REGION_NOT_FOUND');
            this.exit();
        }
        cli_utilities_1.cliux.print(`Currently using ${currentRegion.name} region`);
        cli_utilities_1.cliux.print(`CDA HOST: ${currentRegion.cda}`);
        cli_utilities_1.cliux.print(`CMA HOST: ${currentRegion.cma}`);
        cli_utilities_1.cliux.print(`UI HOST: ${currentRegion.uiHost}`);
        this.logger.error(`Currently using ${currentRegion.name} region`);
    }
}
exports.default = RegionGetCommand;
RegionGetCommand.description = 'Get current region set for CLI';
RegionGetCommand.examples = ['$ csdx config:get:region'];
