declare class UserConfig {
    /**
     *
     * Set region to config store
     * @param {string} region It Can be NA, EU
     * @returns {object} region object with cma, cda, region property
     */
    setRegion(region: any): any;
    /**
     *
     * Get current host set for CLI
     * @returns { object } Object contains url for cma and cda, and region to which it is pointing to
     */
    getRegion(): any;
    /**
     *
     * Set region to config store
     * @param {object} regionObject should contain cma, cda, region property
     * @returns {object} region object with cma, cda, region(name of region) property
     */
    setCustomRegion(regionObject: any): any;
    /**
     *
     * Set rateLimit to config store
     * @param {object} rateLimitObject should contain rate limit property
     * @returns {object} ratelimit object with limit property
     */
    /**
     * Validate given region JSON object
     * @param {*} regionObject JSON object needs to be validated
     * @returns {boolean} True if contains cma, cda and region property otherwise false
     */
    validateRegion(regionObject: any): boolean;
    /**
     * Sanitize given region JSON object by removing any other properties than cma, cda and region
     * @param { object } regionObject JSON object needs to be sanitized
     * @returns { object } JSON object with only valid keys for region
     */
    sanitizeRegionObject(regionObject: any): any;
}
declare const _default: UserConfig;
export default _default;
